INTERFACE
SUBROUTINE PRE_GRID_BICONSERV(KGPOUT,KLATS,KLONS,PLATS,&
 & PSPIN,PSPOUT,PSPSP,PGPSP,PGPSPG) 
USE PARKIND1,ONLY: JPIM, JPRB
USE YOMGEM, ONLY : NLOENG, NGPTOTG, NGPTOT
USE YOMDIM, ONLY : NDGLG, NPROMA, NGPBLKS, NSPEC2
INTEGER(KIND=JPIM), INTENT(IN) :: KGPOUT
INTEGER(KIND=JPIM), INTENT(IN) :: KLATS
INTEGER(KIND=JPIM), INTENT(IN) :: KLONS(KLATS)
REAL(KIND=JPRB), INTENT(IN) :: PLATS(KLATS)
REAL(KIND=JPRB), INTENT(OUT) :: PSPIN(NGPTOTG)
REAL(KIND=JPRB), INTENT(OUT) :: PSPOUT(KGPOUT)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PSPSP(NSPEC2)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PGPSP(NPROMA,NGPBLKS)
REAL(KIND=JPRB), OPTIONAL, INTENT(IN) :: PGPSPG(NGPTOTG)
END SUBROUTINE PRE_GRID_BICONSERV
END INTERFACE
